# Class: YARD::Server::Commands::LibraryIndexCommand

Inherits:
  Base
  - Object
  - Base
  - YARD::Server::Commands::LibraryIndexCommand
  show all

Defined in:
  lib/yard/server/commands/library_index_command.rb

## Overview

Returns the index of libraries served by the server.

Since:

- 0.6.0

## Instance Attribute Summary collapse

- #options ⇒ Object

## Instance Method Summary collapse

- #run ⇒ Object

### Methods included from StaticCaching

#cache, #check_static_cache

## Constructor Details

This class inherits a constructor from YARD::Server::Commands::Base

## Instance Attribute Details

### #options ⇒ `Object`

Since:

- 0.6.0

    14
    15
    16

    # File 'lib/yard/server/commands/library_index_command.rb', line 14

    def options
      @options
    end

## Instance Method Details

### #run ⇒ `Object`

Since:

- 0.6.0

    16
    17
    18
    19
    20
    21
    22
    23
    24

    # File 'lib/yard/server/commands/library_index_command.rb', line 16

    def run
      return unless path.empty?

      self.options = LibraryIndexOptions.new
      options.adapter = adapter
      options.libraries = adapter.libraries
      options.reset_defaults
      render
    end